> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.fortresstech.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server.

# List Maintenance Issues

GET https://api.fortresstech.io/v1/maintenanceIssues

List all maintenance issues

Reference: https://developer.fortresstech.io/api-reference/maintenance/list-maintenance-issues

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Response

### 200

A paged array of maintenance issues

- `description` (string, required)
- `type` (enum, optional)
  - Allowed values: `UNIT`, `COMMON_AREA`
- `id` (string, optional)
- `organizationIssueId` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `organizationId` (string, optional)
- `propertyId` (string, optional)
- `categoryId` (string, optional)
- `maintenanceLocationId` (string, optional)
- `property` (properties_components-schemas-Base, optional)
- `workOrders` (list of workOrders_components-schemas-Base, optional)

## Types

### properties_components-schemas-Base

- `name` (string, optional)
- `shortName` (string, optional)
- `email` (string, optional)
- `phone` (string, optional)
- `physicalStreetAddress1` (string, optional)
- `physicalStreetAddress2` (string, optional)
- `physicalCity` (string, optional)
- `physicalState` (string, optional)
- `physicalZip` (string, optional)
- `physicalCountry` (string, optional)
- `mailingStreetAddress1` (string, optional)
- `mailingStreetAddress2` (string, optional)
- `mailingCity` (string, optional)
- `mailingState` (string, optional)
- `mailingZip` (string, optional)
- `mailingCountry` (string, optional)
- `phoneNumber` (string, optional)
- `faxNumber` (string, optional)
- `timezone` (string, optional)
- `longitude` (double, optional)
- `latitude` (double, optional)
- `turnMoveOutDays` (integer, optional) — Number of days after move-out to calculate make ready date
- `status` (enum, optional, nullable) — Property lifecycle status. Fortress aggregates occupancy only for ACTIVE properties.
  - Allowed values: `ACTIVE`, `INACTIVE`, `PENDING`
- `propertyClass` (enum, optional, nullable) — The property's class. Null for properties with no class assigned.
  - Allowed values: `Conventional`, `Affordable`, `Mixed`
- `organizationId` (string, optional)
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `offboardedAt` (datetime, optional)
- `countyName` (string, optional)
- `acquisitionDate` (datetime, optional)

### workOrders_components-schemas-Base

- `status` (enum, optional)
  - Allowed values: `OPEN`, `COMPLETED`, `CANCELED`, `ON_HOLD`, `IN_PROGRESS`
- `priority` (enum, optional)
  - Allowed values: `LOW`, `MEDIUM`, `HIGH`, `URGENT`, `WARRANTY`
- `hasPetAlert` (boolean, optional)
- `completedAt` (datetime, optional)
- `requestorPhone` (string, optional, nullable)
- `requestorEmail` (string, optional, nullable)
- `requestedStartDateFrom` (date, optional)
- `requestedStartDateTo` (date, optional)
- `requestedStartTimeFrom` (string, optional)
- `requestedStartTimeTo` (string, optional)
- `dueDate` (date, optional)
- `description` (string, optional)
- `serviceNotes` (string, optional)
- `vendorNotes` (string, optional)
- `entryNotes` (string, optional)
- `entryPreference` (enum, optional)
  - Allowed values: `24_HOUR_NOTICE`, `BY_APPOINTMENT`, `CALL_FIRST`, `NO_PREFERENCE`, `ANYTIME`
- `isDoorCodeActive` (boolean, optional)
- `isAlarmActive` (boolean, optional)
- `doorCode` (string, optional)
- `alarmCode` (string, optional)
- `holdReason` (string, optional)
- `otherLocationDetail` (string, optional)
- `attachmentIds` (string, optional)
- `technicianNotes` (string, optional) — Notes to the technician.
- `previouslyReported` (boolean, optional) — If the Issue was previously reported, this will be true.
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (string, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `assignedUserId` (string, optional)
- `householdId` (string, optional)
- `customerId` (string, optional)
- `unitId` (string, optional)
- `maintenanceIssueId` (string, optional)
- `maintenanceLocationId` (string, optional)
- `propertyId` (string, optional)
- `organizationId` (string, optional)
- `totalCostOfMaterialsUsed` (double, optional) — The total cost of materials used.
- `totalAmountOwedByResident` (double, optional) — The total amount owed by the resident.
- `totalAmountOwedByProperty` (double, optional) — The total amount owed by the property.
- `hourlyServiceRate` (double, optional) — The hourly service rate.
- `totalLaborCost` (double, optional) — The total labor cost.

## Examples

**Response**

```json
{
  "description": "string",
  "type": "UNIT",
  "id": "string",
  "organizationIssueId": "string",
  "readableId": "string",
  "idempotencyId": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "deletedAt": "2024-01-15T09:30:00Z",
  "organizationId": "string",
  "propertyId": "string",
  "categoryId": "string",
  "maintenanceLocationId": "string",
  "property": {
    "name": "string",
    "shortName": "string",
    "email": "string",
    "phone": "string",
    "physicalStreetAddress1": "string",
    "physicalStreetAddress2": "string",
    "physicalCity": "string",
    "physicalState": "string",
    "physicalZip": "string",
    "physicalCountry": "string",
    "mailingStreetAddress1": "string",
    "mailingStreetAddress2": "string",
    "mailingCity": "string",
    "mailingState": "string",
    "mailingZip": "string",
    "mailingCountry": "string",
    "phoneNumber": "string",
    "faxNumber": "string",
    "timezone": "string",
    "longitude": 1.1,
    "latitude": 1.1,
    "turnMoveOutDays": 1,
    "status": "ACTIVE",
    "propertyClass": "Conventional",
    "organizationId": "string",
    "id": "string",
    "readableId": "string",
    "idempotencyId": "string",
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "offboardedAt": "2024-01-15T09:30:00Z",
    "countyName": "string",
    "acquisitionDate": "2024-01-15T09:30:00Z"
  },
  "workOrders": [
    {
      "status": "OPEN",
      "priority": "LOW",
      "hasPetAlert": true,
      "completedAt": "2024-01-15T09:30:00Z",
      "requestorPhone": "string",
      "requestorEmail": "string",
      "requestedStartDateFrom": "2023-01-15",
      "requestedStartDateTo": "2023-01-15",
      "requestedStartTimeFrom": "string",
      "requestedStartTimeTo": "string",
      "dueDate": "2023-01-15",
      "description": "string",
      "serviceNotes": "string",
      "vendorNotes": "string",
      "entryNotes": "string",
      "entryPreference": "24_HOUR_NOTICE",
      "isDoorCodeActive": true,
      "isAlarmActive": true,
      "doorCode": "string",
      "alarmCode": "string",
      "holdReason": "string",
      "otherLocationDetail": "string",
      "attachmentIds": "string",
      "technicianNotes": "string",
      "previouslyReported": true,
      "id": "string",
      "readableId": "string",
      "idempotencyId": "string",
      "createdAt": "string",
      "updatedAt": "2024-01-15T09:30:00Z",
      "deletedAt": "2024-01-15T09:30:00Z",
      "assignedUserId": "string",
      "householdId": "string",
      "customerId": "string",
      "unitId": "string",
      "maintenanceIssueId": "string",
      "maintenanceLocationId": "string",
      "propertyId": "string",
      "organizationId": "string",
      "totalCostOfMaterialsUsed": 1.1,
      "totalAmountOwedByResident": 1.1,
      "totalAmountOwedByProperty": 1.1,
      "hourlyServiceRate": 1.1,
      "totalLaborCost": 1.1
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.fortresstech.io/v1/maintenanceIssues"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fortresstech.io/v1/maintenanceIssues';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fortresstech.io/v1/maintenanceIssues"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fortresstech.io/v1/maintenanceIssues")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fortresstech.io/v1/maintenanceIssues")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fortresstech.io/v1/maintenanceIssues', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fortresstech.io/v1/maintenanceIssues");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/maintenanceIssues")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```